 #!/bin/sh

CHROOT_DIR=/opt/ltsp/i386

sudo chroot $CHROOT_DIR mount -t proc /proc /proc
sudo chroot $CHROOT_DIR apt-get update

LOGICIELS=$(zenity --entry \
--title="Installation d'applications" \
--text="Ecrire les noms des applications separées par un espaces" \
--entry-text="firefox libreoffice" \
--height="80" \
--width="350")

while [ "$LOGICIELS" != "" ]; do

        sudo chroot $CHROOT_DIR env LTSP_HANDLE_DAEMONS=false apt-get -y install $LOGICIELS
        shift

done

sudo umount /opt/ltsp/i386/proc
sudo ltsp-update-image -p 2000 -b /opt/ltsp -a i386
